INSTALL(1)

NOME
install - copia arquivos e seleciona atributos

SINOPSE
install [opções] [-s] [--strip] origem destino
install [opções] [-s] [--strip] origem... diretório
install [opções] [-d,--directory] diretório...

Opções (forma reduzida):
[-b] [-c] [-D] [-g grupo] [-m modo] [-o proprietário] [-S SUFIXO] [-V {numbered,existing,simple}] [--help] [--version] [--]

DESCRIÇÃO
install copia arquivos enquanto ajusta seus modos de permissão e, se possível, o seu proprietário e grupo.

Na primeira forma de chamada, o arquivo de origem é copiado para o arquivo de destino origem são copiados para o diretório de destino. Na última, cada um dos diretórios (e qualquer diretório raiz ausente) é criado.

install é similar a cp, mas permite que você controle os atributos dos arquivos de destino. Ele é tipicamente usado nos arquivos de Makefiles para copiar programas dentro de diretórios de destino. Ele recusa em copiar arquivos para eles mesmos.

OPÇÕES

-c  Ignorado; para compatibilidade com antigas versão Unix do comando install.

-d, --directory
    Cria cada diretório fornecido e qualquer diretório raiz ausente, selecionando o proprietário, o grupo e o modo como determinado pela linha de comando ou para os padrões. Ele também fornece para qualquer diretório raiz aqueles atributos fornecidos. (Isto é diferente do install, do SunOS 4.x que fornece aos diretórios que cria os atributos padrão.)

-D  Cria todos componentes principais do destino exceto o último, então copia a origem para o destino. Esta opção é útil na primeira forma descrita na sinopse, acima. (Novo no Utilitários de Arquivo 4.0.)

-g grupo, --group=grupo
    Seleciona a propriedade de grupo dos arquivos ou diretórios instalados para grupo. O padrão é o grupo do processo atual. grupo pode ser um nome de grupo ou a sua identificação numérica.

-m modo, --mode=modo
    Seleciona a permissão para os arquivos ou diretórios instalados para modo, que pode ser um número octal, um modo simbólico como em chmod, com 0 no ponto de partida. O modo padrão é 0755 - leitura, escrita, e execução para o proprietário, e leitura e execução para o grupo e demais usuários.

-o proprietário, --owner=proprietário
    Se install tem privilégios apropriados (é executado como root), seleciona o proprietário dos arquivos ou diretórios instalados para proprietário. O padrão é 'root'. proprietário pode ser um nome de usuário ou uma identificação numérica de usuário.

-s, --strip
    Tira a tabela de simbolos a partir dos binários executáveis instalados.

OPÇÕES GNU DE CÓPIAS DE SEGURANÇA
As versões GNU de programas como, cp, mv, ln, install e patch podem criar cópias de segurança dos arquivos que foram sobrescritos, alterados ou destruídos se você pedir. Aqueles arquivos de seguranças são pedidos pela opção -b. E nomeados como é especificado pela opção -V. No caso de o nome do arquivo de segurança for fornecido pelo nome do arquivo mais um sufixo, o sufixo é especificado pela opção -S.

-b, --backup
    Cria cópias de segurança dos arquivos que são sobrescritos ou removidos.

-S SUFIXO, --suffix=SUFIXO
    Anexa o SUFIXO para cada cópia de segurança feita. Se esta opção não é especificada, o valor da variável de ambiente SIMPLE_BACKUP_SUFFIX é usada. E se SIMPLE_BACKUP_SUFFIX não for selecionada, o padrão é '~'.

-V MÉTODO, --version-control=MÉTODO
    Especifica como as cópias de segurnaça serão nomeadas. O argumento MÉTODO pode ser 'numeradas' (ou 't'), 'existente' (ou 'nil'), ou 'simples' (or Se esta opção não é especificada, o valor da variável de ambiente VERSION_CONTROL é usado. E se VERSION_CONTROL não é selecionado, o tipo padrão das cópias de segurança é 'existente'.

    Esta opção corresponde à variável Emacs 'version-control'. Os MÉTODO são válidos (unicamente abreviações são aceitas):

    t, numeradas
        Sempre fará cópias de segurança numeradas.

    nil, existente
        Fará cópias de segurança numeradas de arquivos que já possuem cópias de segurança numeradas, e cópias de segurança simples dos outros.

    nunca, simples
        Sempre fará cópias de segurança simples.

OPÇÕES PADRÃO GNU

--help
    Imprime a mensagem de uso na saída padrão e sai.

--version
    Imprime a versão na saída padrão e sai.

--  Encerra a lista de opção.

AMBIENTE
As variáveis LANG, LC_ALL, LC_CTYPE and LC_MESSAGES tem seu significado usual. Para a versão GNU, as variáveis SIMPLE_BACKUP_SUFFIX e VERSION_CONTROL controlam a nomeação de arquivos de cópias de segurança, como descrito acima.

DE ACORDO COM
BSD 4.2 (O qual teve as opções -c, -m, -o, -g e -s).

NOTAS
Esta página descreve install como é encontrada no pacote Utilitários de Arquivo 4.0; outras versões podem ser um pouco diferentes. Envie correções e adições para aeb@cwi.nl. Relatório de problemas no programa para fileutils-bugs@gnu.ai.mit.edu.

TRADUZIDO POR LDP-BR em 21/08/2000.
André L. Fassone Canova <lonelywolf@blv.com.br> (tradução) Ricardo C.O. Freitas <english.quest@best-service.com> (revisão)